/*Style dokumnetu*/
/*FONT GOOGLE*/
@import url('https://fonts.googleapis.com/css2?family=DM+Serif+Display:ital@0;1&family=Montserrat:wght@100..900&display=swap');

/*kolory proektu - zmienne-var*/
:root{
    --color-akcent1:#5F3411;
    --color-akcent2:#EFC44A;
    --color-akcent3: #FFF9D8;
    --color-akcent4: #841E60;
    --color-akcent5: #5C9829;
    --color-akcent6: #ffffff;
}

/*SELEKTORY GLOBALNE*/
*{
    box-sizing: border-box; 
    transition: 500ms;
}

html{
    scroll-behavior: smooth;   
}

a{
    text-decoration: none !important;
}

p{
    font-family: "Montserrat";
    font-size: 16px;
    font-style: normal;
    font-weight: 500;
    line-height: 30px;
    color: var(--color-akcent4);
}

img{
    max-width: 100%;
}

h1{
    color: var(--color-akcent4);
    font-family: "DM Serif Display";
    font-size: 8vw;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

h2{
    color: var(--color-akcent4);
    font-family: "DM Serif Display";
    font-size: 60px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

h3{
    color: var(--color-akcent4);
    text-align: center;
    font-family: "DM Serif Display";
    font-size: 32px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

h4{
    color: var(--color-akcent3);
    font-family: "DM Serif Display";
    font-size: 48px;
    font-style: normal;
    font-weight: 400;
    line-height: 53px;
}

h5{
    color: var(--color-akcent4);
    text-align: center;
    font-family: "DM Serif Display";
    font-size: 5vw;
    font-style: italic;
    font-weight: 400;
    line-height: 120px;
}

h6{
    color: var(--color-akcent3);
    text-align: center;
    font-family: "DM Serif Display";
    font-size: 36px;
    font-style: normal;
    font-weight: 400;
    line-height: 38px;
}

/*NAWIGACJA*/
nav{
    background-color:var(--color-akcent5);
    box-shadow: 0 4px 10px 0 rgba(0, 0, 0, 0.25);
    height: 89px;
    display: flex;
    justify-content: center;
    align-items: center;
    position: fixed;
    width: 100%;
    z-index: 1;
}

nav ol{
    /* background-color: red; */
    max-width: 1420px;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1vw;
    padding: 0 0 0 10px;

}

nav ol li.logo{
    margin-right: auto;
}
nav img{
    width: 59px;
    height: 59px;
    display: block;
}

nav ol li a{
    text-align: center;
    color: var(--color-akcent3);
    font-family: "Montserrat";
    font-weight: bold;
    font-size: 14px;
    padding: 12px 1vw;
    border-radius: 50px;
    display: block;
}
nav ol li a:hover{
    background-color: var(--color-akcent2);
    color: var(--color-akcent4);
    border-radius: 50px;
}

/*WSZYSTKIE SEKCJE*/
section{
    min-height: 60vh;
    display: flex;
    align-items: center;
    justify-content: center;
    scroll-margin-top: 89px; 
}
.zawartosc{
    /* background-color: red; */
    max-width: 1420px;
    width: 100%;
    display: flex;
}

#sekcja1{
/* styl całej sekcji */
    background-color: var(--color-akcent3);
    min-height: 952px;
    position: relative;
    overflow: hidden;
}

#sekcja1 .zawartosc{
    position: relative;
    /* background-color: red; */
}

#sekcja1 article{
    margin: 1rem;
    align-items: center;
    justify-content: space-between;
}

#sekcja1 .tekst{
    /* background-color: red; */
    max-width: 60%;
}
#sekcja1 .tekst h1{
    /* background-color: aqua; */
    color: var(--color-akcent4);
    line-height: 100%;
}
#sekcja1 .tekst p{
    max-width: 70%;
    margin-top: 28px;
}

/* przycisk w sekcji pierwszej!!! */
#sekcja1 .tekst a{ 
    background-color: var(--color-akcent4);
    color: var(--color-akcent3);
    text-align: center;
    font-family: "Montserrat";
    font-size: 16px;
    font-weight: 600;
    padding: 14px 40px;
    border-radius: 100px;
    margin-top: 40px;
    display: inline-block;
}

#sekcja1 .tekst a:hover{
    background-color: var(--color-akcent5);
    color: var(--color-akcent3);
    border-radius: 50px;
}

#sekcja1 .obrazek-s1{
    /* background-color: green; */
    max-width: 80%;
    position: absolute;
    right: -20%;
    top: 50%;
    transform: translateY(-43.5%);
    transform-origin: center center;
    animation: plywanie 2s ease-in-out infinite alternate;
}

@keyframes plywanie{
    from{
        transform: translateY(-43.5%) translateY(-15px);
    }
    to{
        transform: translateY(-43.5%) translateY(15px);
    }
}

/* SEKCJA 2 */

#sekcja2{
    background-color: var(--color-akcent2);
}

/* główny kontener */
#sekcja2 .zawartosc{
    /* background-color: aliceblue; */
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 60px;
    margin: 83px auto;
    padding: 0 20px;
}

/* nagłówek i opis u góry */
#sekcja2 .nad-kolumnami{
    /* background-color: red; */
    flex: 0 0 100%;
    max-width: 100%;
}

#sekcja2 h2{
    margin-bottom: 20px;
    text-align: center;
}

#sekcja2 p{
    /* background-color: aqua; */
    line-height: 30px;
    max-width: 40%;
    text-align: center;
    margin: 0 auto;
}

#sekcja2 .lewa-kolumna,
#sekcja2 .prawa-kolumna{
    /* background-color: red; */
    flex: 0 1 500px;
    display: flex;
    justify-content: center;
}


#sekcja2 .lewa-kolumna article,
#sekcja2 .prawa-kolumna article{
    background-color: var(--color-akcent3);
    max-width: 500px;
    width: 100%;
    height: 565px;
    border-radius: 43px;
    border: 2px solid var(--color-akcent4);
    padding: 25px;
    text-align: center;
    box-sizing: border-box;
}


/* tytuły kart */
#sekcja2 h3{
    margin: 15px 0;
}

/* obrazki */
#sekcja2 img{
    max-width: 100%;
    height: auto;
    display: block;
    margin: 0 auto;
}

/* SEKCJA 3 */
#sekcja3{
    background-color: var(--color-akcent3);
}

#sekcja3 .zawartosc{
    /* background-color: aquamarine; */
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 50px;
    max-width: 1440px;
    margin: 0 auto;
    flex-wrap: wrap;
}

/* nagłówek */
#sekcja3 h2{
    /* background-color: #978a92; */
    width: 100%;
    text-align: center;
    margin-bottom: 75px;
    /* justify-content: center; */
}

#sekcja3 .kontenery{
    /* background-color: rgb(236, 255, 127); */
    display: flex;
    gap: 20px;
    justify-content: center;
    align-items: stretch;
    flex-wrap: wrap;
}

#sekcja3 .lewa-kolumna{
    flex: 1 1 200px;
    gap: 20px;
}

/* zielone boxy */
#sekcja3 .kontener-opis,
#sekcja3 .kontener-obrazek,
#sekcja3 .kontener-przepis{
    background-color: var(--color-akcent5);
    border-radius: 62px;
    padding: 40px;
}

/* OPIS */
#sekcja3 .kontener-opis{
    /* background-color: red; */
    max-width: 700px;
    width: 100%;
}

#sekcja3 .kontener-opis p{
    /* background-color: aqua; */
    color: var(--color-akcent3);
    margin-right: 20%;
    margin-top: 50px;
}

/* OBRAZEK */
#sekcja3 .kontener-obrazek{
    max-width: 700px;
    max-height: auto;
    width: 100%;
    margin-top: 20px;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* jogurt w nmisce */
#sekcja3 .kontener-obrazek img{
    max-width: 100%;
    height: auto;
    transition: transform 0.2s ease;
    transform-origin: bottom center;
}

#sekcja3 .kontener-obrazek:hover img {
    animation: chybotanie 3s ease-in-out;
}

/* animacja do miseckzi z jogurtem */
@keyframes chybotanie {
    0%   { transform: rotate(0deg); }
    20%  { transform: rotate(4deg); }
    40%  { transform: rotate(-4deg); }
    60%  { transform: rotate(3deg); }
    80%  { transform: rotate(-2deg); }
    100% { transform: rotate(0deg); }
}

/* prawy */
#sekcja3 .kontener-przepis{
    flex: 1 1 200px;
    gap: 20px;
    max-width: 700px;
    max-height: auto;
}

#sekcja3 .kontener-przepis h4{
    text-align: center;
    margin-bottom: 30px;
    color: var(--color-akcent3);
}

#sekcja3 .kontener-przepis p{
    color: var(--color-akcent3);
}

/* LISTA SKŁADNIKÓW */
#sekcja3 .skladniki{
    list-style: none;
    padding: 0;
    margin: 20px 0;
}

#sekcja3 .skladniki li{
    /* background-color: #841E60; */
    display: flex;
    align-items: center;
    gap: 12px;
    margin-bottom: 14px;
}

#sekcja3 .skladniki img{
    width: 60px;
    height: auto;
}

/* składniki w białych boxach */
#sekcja3 .skladniki li p{
    border-radius: 100.5px;
    border: 1px solid var(--color-akcent3);
    width: 361px;
    height: 59px;
    padding: 15px 17px;
    align-items: center;
    font-size: 20px;
    margin: 10px;
}

/* składniki i sposob przygotowania */
#sekcja3 .podtytul{
    font-family: "Montserrat";
    font-size: 20px;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin-bottom: 20px;
}

/* przycisk w trzeciejj!!! */
#sekcja3 .przycisk a{
    background-color: var(--color-akcent4);
    color: var(--color-akcent3);
    text-align: center;
    font-family: "Montserrat";
    font-size: 16px;
    font-weight: 600;
    padding: 14px 40px;
    border-radius: 100px;
    margin-top: 40px;
    display: inline-block;
}

#sekcja3 .przycisk a:hover{
    background-color: var(--color-akcent5);
    color: var(--color-akcent3);
    border-radius: 50px;
}

/* sekcja 4 */

#sekcja4 {
    background-color: var(--color-akcent4);
    overflow: hidden;
    padding: 80px 0 0;
    text-align: center;
}

#sekcja4 .zawartosc{
    /* background-color: aqua; */
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 1440px;
    margin: 0 auto;
    padding: 0 20px;
    }

#sekcja4 .tekst{
    width: 100%;
    margin: 0 0 50px;
}

#sekcja4 h2{
    color: var(--color-akcent3);
    font-family: "DM Serif Display";
    font-size: 60px;
    font-weight: 400;
    line-height: 68px;
    margin: 0 0 20px;
}

#sekcja4 .tekst p{
    color: var(--color-akcent3);
    line-height: 30px;
    margin: 0;
}

#sekcja4 .zastosowania article{
    display: flex;
    justify-content: center;
    gap: 20px;
    flex-wrap: wrap;
    margin: 0 0 60px;
}

#sekcja4 .zastosowania article p{
    margin: 0;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 14px 34px;
    width: 340px;
    height: 62px;
    border-radius: 31px;
    border: 1px solid var(--color-akcent3);
    background: var(--color-akcent5);
    color: var(--color-akcent3);
    font-size: 20px;
}
/* po najechaniu zielonych boxikow */
#sekcja4 .zastosowania article p:hover{
    background-color: var(--color-akcent2);
    color: var(--color-akcent4);
    box-shadow: 0 6px 14px rgba(250, 250, 250, 0.25);
}

#sekcja4 .orbita-obrazek{
    width: 100%;
    height: auto;
    display: block;
}

#sekcja4 .orbita-animacja{
    max-width: 100%;
    height: auto;
    margin: 0 auto -400px; 
    animation: obracanie 20s linear infinite;
    transform-origin: center;
}

/* animacja marakuja obrot */
@keyframes obracanie{
    from {
        transform: rotate(0deg);
    }
    to {
        transform: rotate(360deg);
    }
}

/* sekcja pasek animacja */
#pasek{
    background:var(--color-akcent3);
    overflow:hidden;
    min-height: 153px;
}

/* obszar który ucina nadmiar */
.przewijanie{
  width:100%;
  overflow:hidden;
}

/* linia która się rusza */
.pasek-ruch{
    min-width: 200%;
  display:flex;
  gap:24px;
  width:max-content;
  animation: przesuwanie-paska 14s linear infinite;
}

/* pojedyncze boxy */
.pasek-box{
    display: flex;
    align-items: center;
    justify-content: center;
    color: var(--color-akcent4);
    font-family: "DM Serif Display";
    font-size: 36px;
    font-style: normal;
    font-weight: 400;
    line-height: 68px;
    width: 266px;
    height: 62px;
    border-radius: 31px;
    background: var(--color-akcent2);
    text-align: center;
}

/* animacja */
@keyframes przesuwanie-paska{
    from{ transform: translateX(-50%); }
    to{ transform: translateX(0); }
}

/* sekcja5 */
#sekcja5{
    background: url("../img/cytat.png") center / cover no-repeat;
    height: 1042px;
    background-color: var(--color-akcent3);
    background-size: min(1000px, 80%);
}

#sekcja5 .zawartosc{
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

#sekcja5 h5{
    text-align: center;
}



/* stopka */
#stopka{
    background: var(--color-akcent2);
    min-height: 507px;
    padding: 0 20px;
}

#stopka .zawartosc{
    background-color: var(--color-akcent5);
    min-height: 345px;
    border-radius: 80px;
    padding: 40px;
    display: flex;
    justify-content: center;
    gap: 40px;
    position: relative;
    width: 100%;
    max-width: 1500px;
    margin: 40px auto;
    flex-wrap: wrap;
}

/* KOLUMNY */

#stopka .kolumna1,
#stopka .kolumna2,
#stopka .kolumna3{
    background: var(--color-akcent4);
    border-radius: 40px;
    padding: 40px;
    text-align: center;
    color: var(--color-akcent3);
    width: 437px;
    height: 345px;
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 100%;
}

#stopka .kolumna1 p{
    margin: 8px 0;
}

#stopka h6{
    margin-bottom: 10px;
}

#stopka p{
    color: var(--color-akcent3);
}

/*ikonki fb ig */
#stopka-social-media-icons{
    display: flex;
    justify-content: center;
    gap: 28px;
    margin: 60px 0 50px;
}

#stopka-social-media-icons img{
    width: 50px;
}

#stopka .copyright{
    font-size: 14px;
    color: var(--color-akcent3);
    margin-top: 20px;
}

/* INPUT EMAIL */

#stopka input[type="email"]{
    color: #AAA;
    font-family: Montserrat;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    border-radius: 47.5px;
    background: var(--color-akcent3);
    width: 100%;
    padding: 14px 20px;
    border: none;
    outline: none;
    margin-bottom: 16px;
}

/* CHECKBOX */

#zgody{
    color: var(--color-akcent3);
    font-family: Montserrat;
    font-size: 15px;
    font-style: normal;
    font-weight: 400;
    line-height: 19px; /* 126.667% */
    display: flex;
    gap: 10px;
    font-size: 14px;
    margin-bottom: 20px;
    align-items: flex-start;
}

/* PRZYCISK */

#stopka input[type="submit"]{
    color: var(--color-akcent4);
    text-align: center;
    font-family: Montserrat;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    border-radius: 100.5px;
    border: none;
    background: var(--color-akcent2);
    padding: 12px 36px;
    font-weight: bold;
}

#stopka input[type="submit"]:hover{
    background-color: var(--color-akcent5);

}